Index: cpukit/libnetworking/kern/uipc_socket2.c
===================================================================
--- cpukit/libnetworking/kern/uipc_socket2.c	(revision cf54965493787d4fc2803fd1faa8a4f811da9a67)
+++ cpukit/libnetworking/kern/uipc_socket2.c	(revision eddb13416b7f5e1ea35e499c1c2c05e988a50e92)
@@ -344,5 +344,5 @@
 {
 
-	if (cc > sb_max * MCLBYTES / (MSIZE + MCLBYTES))
+	if (cc > sb_max * MCLBYTES / (_SYS_MBUF_LEGACY_MSIZE + MCLBYTES))
 		return (0);
 	sb->sb_hiwat = cc;
@@ -425,5 +425,5 @@
 	for (m = sb->sb_mb; m; m = m->m_next) {
 		len += m->m_len;
-		mbcnt += MSIZE;
+		mbcnt += _SYS_MBUF_LEGACY_MSIZE;
 		if (m->m_flags & M_EXT) /*XXX*/ /* pretty sure this is bogus */
 			mbcnt += m->m_ext.ext_size;
Index: cpukit/libnetworking/rtems/rtems_glue.c
===================================================================
--- cpukit/libnetworking/rtems/rtems_glue.c	(revision cf54965493787d4fc2803fd1faa8a4f811da9a67)
+++ cpukit/libnetworking/rtems/rtems_glue.c	(revision eddb13416b7f5e1ea35e499c1c2c05e988a50e92)
@@ -40,5 +40,5 @@
  * Memory allocation
  */
-static uint32_t nmbuf       = (64L * 1024L) / MSIZE;
+static uint32_t nmbuf       = (64L * 1024L) / _SYS_MBUF_LEGACY_MSIZE;
        uint32_t nmbclusters = (128L * 1024L) / MCLBYTES;
 
@@ -222,6 +222,6 @@
 	 */
 
-	p = rtems_bsdnet_malloc_mbuf(nmbuf * MSIZE + MSIZE - 1,MBUF_MALLOC_MBUF);
-	p = (char *)(((uintptr_t)p + MSIZE - 1) & ~(MSIZE - 1));
+	p = rtems_bsdnet_malloc_mbuf(nmbuf * _SYS_MBUF_LEGACY_MSIZE + _SYS_MBUF_LEGACY_MSIZE - 1,MBUF_MALLOC_MBUF);
+	p = (char *)(((uintptr_t)p + _SYS_MBUF_LEGACY_MSIZE - 1) & ~(_SYS_MBUF_LEGACY_MSIZE - 1));
 	if (p == NULL) {
 		printf ("Can't get network memory.\n");
@@ -231,5 +231,5 @@
 		((struct mbuf *)p)->m_next = mmbfree;
 		mmbfree = (struct mbuf *)p;
-		p += MSIZE;
+		p += _SYS_MBUF_LEGACY_MSIZE;
 	}
 	mbstat.m_mbufs = nmbuf;
@@ -297,5 +297,5 @@
 	 */
 	if (rtems_bsdnet_config.mbuf_bytecount)
-		nmbuf = rtems_bsdnet_config.mbuf_bytecount / MSIZE;
+		nmbuf = rtems_bsdnet_config.mbuf_bytecount / _SYS_MBUF_LEGACY_MSIZE;
 	if (rtems_bsdnet_config.mbuf_cluster_bytecount)
 		nmbclusters = rtems_bsdnet_config.mbuf_cluster_bytecount / MCLBYTES;
Index: cpukit/libnetworking/sys/mbuf.h
===================================================================
--- cpukit/libnetworking/sys/mbuf.h	(revision cf54965493787d4fc2803fd1faa8a4f811da9a67)
+++ cpukit/libnetworking/sys/mbuf.h	(revision eddb13416b7f5e1ea35e499c1c2c05e988a50e92)
@@ -40,5 +40,5 @@
 
 /*
- * Mbufs are of a single size, MSIZE (machine/machparam.h), which
+ * Mbufs are of a single size, _SYS_MBUF_LEGACY_MSIZE (machine/machparam.h), which
  * includes overhead.  An mbuf may add a single "mbuf cluster" of size
  * MCLBYTES (also in machine/machparam.h), which has no additional overhead
@@ -47,5 +47,6 @@
  */
 
-#define	MLEN		(MSIZE - sizeof(struct m_hdr))	/* normal data len */
+#define	_SYS_MBUF_LEGACY_MSIZE 128
+#define	MLEN		(_SYS_MBUF_LEGACY_MSIZE - sizeof(struct m_hdr))	/* normal data len */
 #define	MHLEN		(MLEN - sizeof(struct pkthdr))	/* data len w/pkthdr */
 #define	MINCLSIZE	(MHLEN + MLEN)	/* smallest amount to put in cluster */
@@ -60,5 +61,5 @@
  */
 #define	mtod(m, t)	((t)((m)->m_data))
-#define	dtom(x)		((struct mbuf *)((intptr_t)(x) & ~(MSIZE-1)))
+#define	dtom(x)		((struct mbuf *)((intptr_t)(x) & ~(_SYS_MBUF_LEGACY_MSIZE-1)))
 #define	mtocl(x)	(((uintptr_t)(x) - (uintptr_t)mbutl) >> MCLSHIFT)
 #define	cltom(x)	((caddr_t)((u_long)mbutl + ((u_long)(x) << MCLSHIFT)))
Index: cpukit/libnetworking/sys/socketvar.h
===================================================================
--- cpukit/libnetworking/sys/socketvar.h	(revision cf54965493787d4fc2803fd1faa8a4f811da9a67)
+++ cpukit/libnetworking/sys/socketvar.h	(revision eddb13416b7f5e1ea35e499c1c2c05e988a50e92)
@@ -161,5 +161,5 @@
 #define	sballoc(sb, m) { \
 	(sb)->sb_cc += (m)->m_len; \
-	(sb)->sb_mbcnt += MSIZE; \
+	(sb)->sb_mbcnt += _SYS_MBUF_LEGACY_MSIZE; \
 	if ((m)->m_flags & M_EXT) \
 		(sb)->sb_mbcnt += (m)->m_ext.ext_size; \
@@ -169,5 +169,5 @@
 #define	sbfree(sb, m) { \
 	(sb)->sb_cc -= (m)->m_len; \
-	(sb)->sb_mbcnt -= MSIZE; \
+	(sb)->sb_mbcnt -= _SYS_MBUF_LEGACY_MSIZE; \
 	if ((m)->m_flags & M_EXT) \
 		(sb)->sb_mbcnt -= (m)->m_ext.ext_size; \
